Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QImageReader.ImageReaderError

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QImageReader.ImageReaderError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QImageReader

    public static final class QImageReader.ImageReaderError

extends java.lang.Enum
implements QtEnumerator

This enum describes the different types of errors that can occur when reading images with `QImageReader`.

See Also:
  Serialized Form

Field Summary
`static QImageReader.ImageReaderError` | `DeviceError` `QImageReader` encountered a device error when reading the image.
`static QImageReader.ImageReaderError` | `FileNotFoundError` `QImageReader` was used with a file name, but not file was found with that name.
`static QImageReader.ImageReaderError` | `InvalidDataError` The image data was invalid, and `QImageReader` was unable to read an image from it.
`static QImageReader.ImageReaderError` | `UnknownError` An unknown error occurred.
`static QImageReader.ImageReaderError` | `UnsupportedFormatError` Qt does not support the requested image format.

Method Summary
`static QImageReader.ImageReaderError` | `resolve(int value)` Returns the ImageReaderError constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QImageReader.ImageReaderError` | `valueOf(java.lang.String name)`
`static QImageReader.ImageReaderError[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UnknownError

    public static final QImageReader.ImageReaderError UnknownError

  An unknown error occurred. If you get this value after calling `read()`, it is most likely caused by a bug in `QImageReader`.

### FileNotFoundError

    public static final QImageReader.ImageReaderError FileNotFoundError

  `QImageReader` was used with a file name, but not file was found with that name. This can also happen if the file name contained no extension, and the file with the correct extension is not supported by Qt.

### DeviceError

    public static final QImageReader.ImageReaderError DeviceError

  `QImageReader` encountered a device error when reading the image. You can consult your particular device for more details on what went wrong.

### UnsupportedFormatError

    public static final QImageReader.ImageReaderError UnsupportedFormatError

  Qt does not support the requested image format.

### InvalidDataError

    public static final QImageReader.ImageReaderError InvalidDataError

  The image data was invalid, and `QImageReader` was unable to read an image from it. The can happen if the image file is damaged.

Method Detail

### values

    public static QImageReader.ImageReaderError[] values()

### valueOf

    public static QImageReader.ImageReaderError valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QImageReader.ImageReaderError resolve(int value)

  Returns the ImageReaderError constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD